package com.bcxin.signature.util.common;


import lombok.extern.slf4j.Slf4j;

import java.util.Map;
import java.util.Set;

@Slf4j
public class LogUtils {

	public static String params(Map<String,String> params){
		StringBuffer buffer = new StringBuffer();
		Set<Map.Entry<String,String>> entrySet = params.entrySet();
		for (Map.Entry<String, String> entry:entrySet) {
			buffer.append("[").append(entry.getKey()).append(":").append(entry.getValue()).append("]");
		}
		log.debug("第三方请求参数{}",buffer.toString());
		return buffer.toString();
	}

}
